%global minorversion 1.4
%global xfceversion 4.16
%global _hardened_build 1

Name:           xfce4-netload-plugin
Version:        1.4.1
Release:        1
Summary:        Network-load monitor for the Xfce panel
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libxfce4panel-2.0) >= %{xfceversion}
BuildRequires:  pkgconfig(libxfce4ui-2) >= %{xfceversion}
BuildRequires:  libxml2-devel
BuildRequires:  gettext, intltool

Requires:       xfce4-panel >= %{xfceversion}

%description
A network-load monitor plugin for the Xfce panel.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install
%find_lang %{name}
chmod 755 %{buildroot}/%{_libdir}/xfce4/panel/plugins/libnetload.so
rm -f %{buildroot}/%{_libdir}/xfce4/panel/plugins/libnetload.la

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%license COPYING
%{_datadir}/icons/hicolor/*/*/*
%{_libdir}/xfce4/panel/plugins/libnetload.so
%{_datadir}/xfce4/panel/plugins/*.desktop

%changelog
* Tue Mar 12 2024 misaka00251 <liuxin@iscas.ac.cn> - 1.4.1-1
- Update to 1.4.1

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.4.0-1
- Update to 1.4.0

* Wed Jul 15 2020 <dillon.chen@turbolinux.com.cn> - 1.3.2-1
- Init package
